2010-02-14  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Fixes 667855
	* OracleParameter.cs (InferSize): For Raw types, use the appropriate 
	methods to convert value to bytearray and use them to bind.
	(Bind): Fix index parameters in call to Array.ConstrainedCopy. 
	
2010-01-30  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Fixes #667236 - Based on patch by Kalyanov.Dmitry@gmail.com
	* OracleParameter.cs (GetOutValue): Handle OciDataType.Integer 
	appropriately using the underlying dbType.
	
2009-10-29  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Fixes #322695
	* OracleParameter.cs: Use oracle returned rsize instead of 
	MAXBYTECOUNT.  Reduces the size of allocated buffer.
	
2009-10-29  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Fixes #321718
	* OracleParameter.cs: Update Environment handle in OciLobLocator.
	
2009-09-30  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Fixes #543207
	* OracleParameter.cs (Bind): Do not remove the trailing-null-byte.
	
2009-09-25  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Fixes #535889
	* OracleParameter.cs: In case of OUT param, update sizeSet even if 
	value is null or DBNull.  Also, use rsize instead of bindSize to 
	avoid extra allocation.
	
2009-09-20  Daniel Morgan  <monodanmorg@yahoo.com>

	* OracleConnection.cs: implement GetSchema methods

2009-06-04  Veerapuram Varadhan  <vvaradhan@novell.com>

	* OracleParameter.cs: Infer size only for 2.0 profile when only 
	value is passed.  Fixes test failure under 1.1 profile.
	
2009-06-03  Veerapuram Varadhan  <vvaradhan@novell.com>
	
	* OracleParameter.cs:  If a non-zero size is passed, update 
	the size member but sizeSet is updated only when a non-null 
	value is passed.
	
2009-05-15  Veerapuram Varadhan  <vvaradhan@novell.com>

	* OracleParameter.cs: Consider DBNull.Value as null and 
	update size and sizeSet accordingly.
	
2009-05-15  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Fixes #424908
	* OracleParameter.cs:  Make sure size and sizeSet are properly 
	updated whenever value changes.
	
2009-03-29  Veerapuram Varadhan  <vvaradhan@novell.com>

	* Fixes #480377
	* OracleDataReader.cs: Implement MonthSpan and TimeSpan.
	
2009-03-20  Daniel Morgan <monodanmorg@yahoo.com>

	* OracleCommand.cs: fix suggested by Thracx <SpamMonkey01+Mono@gmail.com>
	where the parameter was always item zero for an out parameter.

2009-02-23  Veerapuram Varadhan  <vvaradhan@novell.com>

	* OracleException:  2.0 changes - patch submitted by 
	Jay Wren <jrwren@xmtp.net>
	
2009-02-19  Veerapuram Varadhan  <vvaradhan@novell.com>

	* OracleParameter.cs (bind): Consider OciDataType.Float and .Integer as 
	OciDataType.Number.  Patch provided by Russell <russell.kay@realtimeworlds.com>
	
2008-07-06  Sebastien Pouliot  <sebastien@ximian.com> 

	* OracleDataReader.cs: Replace a few Type.GetType by typeof
	[Found using Gendarme AvoidTypeGetTypeForConstantStringsRule]

2008-05-07  Gert Driesen  <drieseng@users.sourceforge.net>

	* OracleTransaction.cs: Corcompare fixes for 2.0 profile. Implemented
	DbConnection and Dispose override. Code formatting.
	* OracleLob.cs: Implemented Dispose overloads. Code formatting.
	* OracleCommand.cs: Removed extra connection_timeout field. Fixed
	DesignTimeVisible. Changed CommandText to return zero-length string
	when underlying value is null. Fixed CommandTimeout to always
	return 0. Implemented DbConnection, DbParameterCollection and
	DbTransaction properties. Corcompare fixes for 2.0 profile.
	* OracleTimeSpan.cs: In OracleTimeSpan ctor, throw NRE when from
	is Null timespan. Fixed Hours property to actually return hours instead
	of days. Modified Value to throw InvalidOperationException when
	current instance is Null. Fixed explicit operator argument name.
	* OracleRowUpdatingEventArgs.cs: Added missing BaseCommand override.
	* OracleParameterCollection.cs: Removed extra internal ctor.
	Corcompare fixes for 2.0 profile. On 1.0 profile, perform culture
	sensitive and case-insensitive lookup. On 2.0 profile, first perform
	case-sensitive lookup and fallback to case-insensitive lookup.
	Set and remove Container where necessary, and perform checks for
	ownership. Implemented AddRange overloads, and (Get/Set)Parameter.
	Added several 2.0 overloads taking OracleParameter. Fixed exceptions
	to match MS.
	* OracleDataReader.cs: Corcompare fixes for 2.0 profile. Moved
	disposing of schematable to Close, and invoke Close from Dispose.
	Reduce casts. Stubbed methods introduced in 2.0 profile.
	* OracleConnection.cs: Corcompare fixes for 2.0 profile. Changed
	ConnectionString to return zero-length string when underlying value is
	null. Removed explicit IDisposable implementation. Use string.Empty
	instead of "". Code formatting.
	* OracleMonthSpan.cs: Code formatting. Changed argument name of
	explicit operator to match MS.
	* OracleDataAdapter.cs: Code formatting. Fixed default ctor to use
	null for SelectCommand. In 2.0 profile, set UpdateBatchSize to 1 and
	throw AORE when setting it to negative value. Modified *Command setters
	to throw InvalidCastException instead of ArgumentException. Removed
	extra TableMappings property.
	* OracleParameter.cs: Use zero-length string as default for
	SourceColumn. Added missing 2.0 ctor. In ParameterName return zero
	length string when name is null. Added SourceColumnNullMapping
	property. Corcompare fixes for 2.0 profile. Code formatting.
	* OracleBFile.cs: Added Dispose override for 2.0 profile.

2007-11-11 Leszek Ciesielski <skolima@gmail.com>

	* OracleCommands.cs: fix for binging procedure parameters by name
	rather than position (by Gary Thomas)

2007-11-01  Marek Safar  <marek.safar@gmail.com>

	* OracleCommand.cs,
	* OracleConnection.cs,
	* OracleTransaction.cs: 2.0 profile updates.

2007-05-25 Nidhi Rawal <rawalnidhi_rawal@gmail.com>
	* OracleDateTime.cs: Wrote the methods CompareTo (object) and Equals (object).
	* OracleClientFactory.cs: Wrote methods CreatePermission (PermissionState) and CreateDataSourceEnumerator ().
	* OracleString.cs: Wrote methods GreaterThan (OracleString, OracleString) and 
	GreaterThanOrEqual (OracleString, OracleString).
	* OracleDataAdapter.cs: Wrote the property UpdateBatchSize.

2007-05-25 Amit Biswas <amit@amitbiswas.com>
	* OracleParameterCollection.cs: Fixed the bugs in properties IsFixedSize, IsReadOnly and IsSynchronized.
	* OracleTimeSpan.cs: Implemented methods CompareTo (object) and Equals (object).
	* OracleMonthSpan.cs: Implemented methods CompareTo (object) and Equals (object).

2007-03-29 Leszek Ciesielski <skolima@gmail.com>
	* OracleConnection.cs: consecutive calls to Open() do not spawn
	multiple connections

2007-02-13 Leszek Ciesielski <skolima@gmail.com>
	* OracleNumber.cs: added an internal IFormattable ToString
	* OracleParameter.cs: added handling of OracleString, OracleDateTime,
	OracleNumber

2007-01-04 Leszek Ciesielski <skolima@gmail.com>
	* OracleParameter.cs:  padding the allocated memory  with 0's (this is what OCI
	expects)

2006-10-19  Leszek Ciesielski <skolima@gmail.com>
	* OracleConnection.cs: moved setting SessionFormatProvider from Open() into first access to it.
	* OracleParameter.cs: made exception in InferOracleType a bit more verbose.

2006-10-17  Leszek Ciesielski <skolima@gmail.com>

	* OracleCommand.cs: changed returned value of ExecuteScalar to null when no recods are
	found
	* OracleDataReader.cs: Marked GetSchemaTable with MonoTODO
	* OracleParameter.cs: fixed the constructor (it ignored some
	parameters and could not handle System.DBNull)
	* OciDefineHandle.cs: applied patch for trimming strings with unicode,
	although I can't test it :-/
2006-05-31  Gert Driesen  <drieseng@users.sourceforge.net>

	* OciGlue.cs: Set eol-style to native.
        * OracleBFile.cs: Set eol-style to native.
        * OracleBinary.cs: Set eol-style to native.
        * OracleBoolean.cs: Set eol-style to native.
        * OracleCommandBuilder.cs: Set eol-style to native.
        * OracleCommand.cs: Set eol-style to native.
        * OracleConnection.cs: Set eol-style to native.
        * OracleConnectionPool.cs: Set eol-style to native.
        * OracleConnectionPoolManager.cs: Set eol-style to native.
        * OracleDataAdapter.cs: Set eol-style to native.
        * OracleDataReader.cs: Set eol-style to native.
        * OracleDateTime.cs: Set eol-style to native.
        * OracleException.cs: Set eol-style to native.
        * OracleInfoMessageEventArgs.cs: Set eol-style to native.
        * OracleInfoMessageEventHandler.cs: Set eol-style to native.
        * OracleLob.cs: Set eol-style to native.
        * OracleLobOpenMode.cs: Set eol-style to native.
        * OracleMonthSpan.cs: Set eol-style to native.
        * OracleNumber.cs: Set eol-style to native.
        * OracleParameterCollection.cs: Set eol-style to native.
        * OracleParameter.cs: Set eol-style to native.
        * OraclePermissionAttribute.cs: Set eol-style to native.
        * OraclePermission.cs: Set eol-style to native.
        * OracleRowUpdatedEventArgs.cs: Set eol-style to native.
        * OracleRowUpdatedEventHandler.cs: Set eol-style to native.
        * OracleRowUpdatingEventArgs.cs: Set eol-style to native.
        * OracleRowUpdatingEventHandler.cs: Set eol-style to native.
        * OracleString.cs: Set eol-style to native.
        * OracleTimeSpan.cs: Set eol-style to native.
        * OracleTransaction.cs: Set eol-style to native.
        * OracleType.cs: Set eol-style to native.

2006-05-31  Gert Driesen  <drieseng@users.sourceforge.net>

	* OracleLob.cs: Explicitly implement IDisposable interface. Fixes
	API signature warning for Dispose () method.
	* OracleParameterCollection.cs: Removed explicit interface implemenation
	of IList.IsFixedSize, IList.IsReadOnbly, IList.IsSynchronized and
	IList.SyncRoot. Fixes API signature mismatches.
	* OracleBFile.cs: Explicit implemenat IDisposable interface. Fixed
	API signature warning for Dispose () method.
	* OracleCommand.cs: Fixed line endings.
	* OracleConnection.cs: Removed destructor, as the destructor in 
	System.ComponentModel.Component already calls the Dispose (bool) method.
	* OracleDataReader.cs: Fixed line endings.
	* OracleDateTime.cs: Fixed line endings.
	* OracleParameter.cs: Fixed line endings.

2006-02-27  Konstantin Triger <kostat@mainsoft.com>

	* OracleDataAdapter.cs: Do not throw ArgumentException when null is passed.

2005-11-21  Senganal T   <tsenganal@novell.com>

	* OracleCommandBuilder.cs :
		- ApplyParameterInfo - modified the args list
		- GetParameterName (string) - added
	Changes for ado.net 2.0 api compatibility 

2005-04-06  Daniel Morgan <danielmorgan@verizon.net>

	* OracleParameter.cs: implement IClonable.Clone() 
	patch from eto@shaw.ca (Curtis)

2005-02-21  Sureshkumar T  <tsureshkumar@novell.com>

	* OracleCommand.cs: set behavior for execute reader.
	fixes bug #72607.

2005-02-15  Sureshkumar T  <tsureshkumar@novell.com>

	* OracleDataReader.cs : GetBytes: return the length of the data if
	output buffer is null. if not, copy the values to buffer and
	return the bytes actually read.

	fixes bug #72472.

2004-12-19  Daniel Morgan <danielmorgan@verizon.net>

	* OracleCommand.cs: ExecuteReader needs to be able 
	to handle non queries too

2004-09-14  Sebastien Pouliot  <sebastien@ximian.com>

	* ChangeLog: New.
	* OraclePermission.cs: Adapted to work for both Fx 1.1 and 2.0. Fx 1.1
	version isn't complete (as anyway it requires FullTrust on MS 
	implementation) but DO NOT throw exceptions (for the security engine).
	* OraclePermissionAttribute.cs: Implemented CreatePermission. Adapted
	to work for both Fx 1.1 and 2.0.
